<template>
  <div id="intro">
    <div class="about-me-container">
      <h1>About Me</h1>
    </div>
    <div class="career-container">
      <h2 class="career-header">Career and Technical Background</h2>
      <p id="about-me-career" class="about-me career">
        Welcome to my portfolio website. My name is Tyler Cran. I'm primarily a backend developer, but I'm trying to
        work through learning front end as well. I graduated from UW-River Falls with a BS in Computer Science in May of
        2019. I mostly work with Java, but have been branching out into C++ for a better understanding of how programs
        can interact with the hardware as well as Javascript for development of my apps on the front end. I have taught
        myself the basics of Spring Boot for being able to serve content from the server using Java as well as VueJS to
        display that data to the user on the front end.
        <br>
        <br>
        I am currently employed at Andersen Windows as a Software Engineer in the Product Configuration team. I started
        at Andersen's straight out of college in June of 2019. During this time, I've been helping to migrate code over
        from the legacy system to the system that will be used for the future of the company. This initiative went along
        with the start up of a new plant in Arizona in May of 2021. On top of migrating to the new system, I worked with
        the rest of the team to create a web application that allowed the company to pull the information from our
        databases and put it in a presentable way to any of our business partners. For more information on this, feel
        free to check out my resume.
      </p>
    </div>
    <div class="start-container">
      <h2 class="start-header">How I Got Into Programming</h2>
      <p id="about-me-start" class="about-me start">
        When I was in middle school and high school, I thought about learning some skill that could help me get into
        game development. I used to draw a good amount, so I thought character design would be more in my realm, but I
        also knew that there was a lot of programming that went into games. I didn't really go much further than those
        thoughts as I found that there were many things that I enjoyed doing that I could easily make into a career.
        <br>
        <br>
        I started off college as an Athletic Training major. I understood a lot about sports since I was a three sport
        athlete in high school as well as a member of the track team at UW Eau Claire. I also really enjoy helping
        people, which is a common theme across many of the choices that I make. However, I had to choose between AT and
        staying on the track team as I didn't feel like I could personally give both activities 100%. The Athletic
        Training program required 40 hours a week in the AT room Junior and Senior year. Add onto that the work load
        from my courses and that didn't leave a lot of free time. The rest of that free time would have then been taken
        up by track. I decided to switch majors and stay on the track team as I had made a lot of friends already.
        <br>
        <br>
        From there, I switched to a Psychology major in hopes of becoming a Mental Health Counselor. I knew this would
        require a Master's Degree, but I didn't mind. This was another one of those situations where I could help others
        in a very real and tangible way. I felt well suited for this role as I have also struggled with mental health
        issues on and off throughout my life and know how debilitating they are. However, a year and a half into the
        program, I decided to switch majors again for personal reasons.
        <br>
        <br>
        Next up, I moved to Secondary English Education. I know that the two subjects most students hate in school are
        math and English. I love both the subjects, but I have troubles teaching math to others as I sometimes tend to
        skip over steps in my head and fail to elaborate on them. I had amazing English teachers through all of my
        school years and I believe that helped me in a huge way. I have a huge passion for reading and I hoped to
        instill that in students and avoid what many dread about English courses. However, once again, personal reasons
        came into play, in this case a slew of legislation passed in Wisconsin that made being a teacher much more
        difficult in the state.
        <br>
        <br>
        I finally came around to Computer Science after I realized how much I enjoyed everything that technology can
        offer and how much I loved learning about computers in general, which I realized when I built my desktop
        computer a few years prior. As soon as I got into coding, I loved it. I've always loved trying to solve puzzles,
        and a lot of problems in CS give me the same satisfaction when I solve them. You know the end state that's
        wanted, you just need to figure out how to put the pieces together to get there. I also love learning and there
        isn't a more wide open field when it comes to being able to self teach new topics. If I want to learn something
        new, there's always another language or framework readily available to pick up with a huge amount of practical
        uses to dive into. Which is shown with this project. I'd used HTML, CSS, and JavaScript previously, but only to
        the point where I needed to complete what was needed. I tried to dive deeper into those topics this time while
        working on this website, even if I didn't use much of what I learned, I still learned it.
        <span class="bar-span"></span>
      </p>
    </div>
    <div class="personal-container">
      <h2 class="personal-header">Personal Background</h2>
      <p id="about-me-personal" class="about-me personal">
        Besides programming, I really enjoy reading, playing video games, and exercising. For both reading and video
        games, I tend to gravitate more towards a fantasy or sci-fi setting, though I will definitely play and read
        other genres. Gaming is an especially important part of who I am as I've met a lot of really close friends
        through online games. I truly wouldn't be who I am without games and those friends. I enjoy running, which may
        come as a shock to many. It's not a fun thing for most, but it is for me. I was a sprinter on the UWEC track
        team before tearing my hamstring my Sophomore year. Even though I prefer sprinting for a workout, it's a lot
        more stressful on that muscle, so I've had to learn to enjoy going on runs instead. I also own a personal
        weight set up, so I also try to lift 3 days a week on top of running in hopes of staying in shape.
        <br>
        <br>
        Other things to know are that I recently bought a house (December of 2020), which takes up a lot of my time.
        I never realized how much work it actually was until I really had to start getting into setting everything up
        and making sure it's all organized and set up how I want it. I also own a dog. Her name is Lady. She was 7 when
        I adopted her in June of 2021 and she is a Collie and Sheperd mix. She takes up just as much time (if not more)
        than the house does. But I don't mind one bit. I love all animals, especially dogs, so it's not an issue to me.
      </p>
    </div>
  </div>
</template>

<script>
export default {
  name: "Intro"
}
</script>

<style scoped>
#intro {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: white;
}

.about-me-container {
  background-color: #2d4b44;
  padding: 10px 30px;
  border-radius: 25px;
  margin: 15px 0;
}

h1, h2 {
  font-family: "Roboto Condensed", "Arial", sans-serif;
  display: grid;
  width: 100%;
  align-items: center;
  text-align: center;
  grid-template-columns: minmax(20px, 1fr) auto minmax(20px, 1fr);
  grid-gap: 20px;
}

h1 {
  font-size: 45px;
}

h2 {
  font-size: 30px;
}

h1:before, h1:after, h2:before, h2:after {
  content: '';
  border-top: 2px solid green;
}

p {
  font-family: "Roboto Condensed", "Arial", sans-serif;
  font-size: 20px;
  line-height: 1.4;
}

.career-container {
  background-color: #395f4d;
  padding: 5px 30px;
  border-radius: 25px;
  margin: 20px 0;
}

.start-container {
  background-color: #395f4d;
  padding: 5px 30px;
  border-radius: 25px;
  margin: 20px 0;
}

.personal-container {
  background-color: #395f4d;
  padding: 5px 30px;
  border-radius: 25px;
  margin: 20px 0;
}

.bar-span {
  background-color: gray;
}

</style>